SQ(1)

NAME
sq pki path - Verify the specified path

SYNOPSIS
sq pki path [OPTIONS] FINGERPRINT|KEYID USERID

DESCRIPTION
Verify the specified path.

A path is a sequence of certificates starting at the root, and a User ID. This function checks that each path segment has a valid certification, which also satisfies any constraints (trust amount, trust depth, regular expressions).

If a valid path is not found, then this subcommand also lints the path. In particular, it report if any certifications are insufficient, e.g., not enough trust depth, or invalid, e.g., because they use SHA-1, but the use of SHA-1 has been disabled.

OPTIONS

  Subcommand options

-a, --amount=AMOUNT
    The required amount of trust.

    120 indicates full authentication; values less than 120 indicate partial authentication. When `--certification-network` is passed, this defaults to 1200, i.e., `sq pki` tries to find 10 paths.

--certification-network
    Treats the network as a certification network.

    Normally, `sq pki` treats the Web of Trust network as an authentication network where a certification only means that the binding is correct, not that the target should be treated as a trusted introducer. In a certification network, the targets of certifications are treated as trusted introducers with infinite depth, and any regular expressions are ignored. Note: The trust amount remains unchanged. This is how most so-called PGP path-finding algorithms work.

--gossip
    Treats all certificates as unreliable trust roots.

    This option is useful for figuring out what others think about a certificate (i.e., gossip or hearsay). In other words, this finds arbitrary paths to a particular certificate.

    Gossip is useful in helping to identify alternative ways to authenticate a certificate. For instance, imagine Ed wants to authenticate Laura's certificate, but asking her directly is inconvenient. Ed discovers that Micah has certified Laura's certificate, but Ed hasn't yet authenticated Micah's certificate. If Ed is willing to rely on Micah as a trusted introducer, and authenticating Micah's certificate is easier than authenticating Laura's certificate, then Ed has learned about an easier way to authenticate Laura's certificate.

FINGERPRINT|KEYID USERID
    A path consists of one or more certificates (designated by their fingerprint or Key ID) and ending in the User ID that is being authenticated

  Global options

--cert-store=PATH
    Specifies the location of the certificate store. By default, sq uses the OpenPGP certificate directory at `$HOME/.local/share/pgp.cert.d`, and creates it if it does not exist.

-f, --force
    Overwrites existing files

-h, --help
    Print help (see a summary with '-h')

--keyring=PATH
    Specifies the location of a keyring to use. Keyrings are used in addition to any certificate store. The content of the keyring is not imported into the certificate store. When a certificate is looked up, it is looked up in all keyrings and any certificate store, and the results are merged together.

--known-notation=NOTATION
    Adds NOTATION to the list of known notations. This is used when validating signatures. Signatures that have unknown notations with the critical bit set are considered invalid.

--no-cert-store
    Disables the use of a certificate store. Normally sq uses the user's standard cert-d, which is located in `$HOME/.local/share/pgp.cert.d`.

--output-format=FORMAT
    Produces output in FORMAT, if possible

--output-version=VERSION
    Produces output variant VERSION, such as 0.0.0. The default is the newest version. The output version is separate from the version of the sq program. To see the current supported versions, use output-versions subcommand.

--pep-cert-store=PATH
    Specifies the location of a pEp certificate store. sq does not use a pEp certificate store by default; it must be explicitly enabled using this argument or the corresponding environment variable, PEP_CERT_STORE. The pEp Engine's default certificate store is at `$HOME/.pEp/keys.db`.

--time=TIME
    Sets the reference time as an ISO 8601 formatted timestamp. Normally, commands use the current time as the reference time. This argument allows the user to use a difference reference time. For instance, when creating a key using `sq key generate`, the creation time is normally set to the current time, but can be overridden using this option. Similarly, when verifying a message, the message is verified with respect to the current time. This option allows the user to use a different time.

    TIME is interpreted as an ISO 8601 timestamp. To set the certification time to July 21, 2013 at midnight UTC, you can do:

    $ sq --time 20130721 verify msg.pgp

    To include a time, say 5:50 AM, add a T, the time and optionally the timezone (the default timezone is UTC):

    $ sq --time 20130721T0550+0200 verify msg.pgp

--trust-root=FINGERPRINT|KEYID
    Considers the specified certificate to be a trust root. Trust roots are used by trust models, e.g., the Web of Trust, to authenticate certificates and User IDs.

-v, --verbose
    Be more verbose.

EXAMPLES

Verify that Neal ceritified Justus's certificate for a particular User ID.

    sq pki path \
        8F17777118A33DDA9BA48E62AACB3243630052D9 \
        CBCD8F030588653EEDD7E2659B7DD433F254904A \
        'Justus Winter <justus@sequoia-pgp.org>'

SEE ALSO
sq(1), sq-pki(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.33.0 (sequoia-openpgp 1.17.0)